1. John2568

    OP John2568 GBAtemp Regular
    Member

    Joined:
    Jan 24, 2016
    Messages:
    161
    Country:
    United States
    trying to install game but says firmware not high enough i'm on atmosphere 10.5 the latest how to fix this

    thanks
     
  2. Pippin666
    This message by Pippin666 has been removed from public view by x65943, Apr 3, 2020, Reason: ad hominem, off topic.
    Apr 3, 2020
  3. thesjaakspoiler

    thesjaakspoiler GBAtemp Regular
    Member

    Joined:
    Nov 20, 2018
    Messages:
    187
    Country:
    Afghanistan
    The firmware is most likely the Switch firmware, not the Atmosphere version.
    If you go into the Switch settings and then select 'System' you should be able to check your current firmware.

    If it is too low for the game, you can update it with ChoiDuJourNX.
    I always follow this manual : https://switch.homebrew.guide/usingcfw/manualupgrade

    If you go from a version 8 to version 9, note that your cartridge reader will be disabled as a security precaution.
    You need to edit a config file to enable it again but you will loose the possibility to use the cart reader when downgrading again.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - firmware, install, trying